Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_recursive_mutex_state Class Reference

Stores the state of the recursive mutex before setting it to "non-owner" state in the constructor. The destructor then restores the state of the mutex. More...

`#include <Synch.h>`

Collaboration diagram for ACE_recursive_mutex_state:

[legend]
List of all members.

## Public Methods
| ACE_recursive_mutex_state (ACE_Recursive_Thread_Mutex &mutex)
| Save the <mutex> and then <reset()> it. More...
| ~ACE_recursive_mutex_state (void)
| Restore the <mutex> to its original state saved by the constructor. More...
## Private Methods
int | reset (ACE_recursive_thread_mutex_t &mutex)
| Reset the <mutex> to be "unlocked". More...
int | save (ACE_recursive_thread_mutex_t &mutex)
| Save the state of <mutex>. More...
int | restore (ACE_recursive_thread_mutex_t &mutex)
| Restore the state of <mutex> to a previously saved value. More...
## Private Attributes
ACE_Recursive_Thread_Mutex & | mutex_
int | nesting_level_
ACE_thread_t | owner_id_

## Detailed Description

Stores the state of the recursive mutex before setting it to "non-owner" state in the constructor. The destructor then restores the state of the mutex.

## Constructor & Destructor Documentation

ACE_recursive_mutex_state::ACE_recursive_mutex_state | ( | ACE_Recursive_Thread_Mutex & | m | ) |

| Save the <mutex> and then <reset()> it.

ACE_recursive_mutex_state::~ACE_recursive_mutex_state | ( | void |  | ) |

| Restore the <mutex> to its original state saved by the constructor.

## Member Function Documentation

int ACE_recursive_mutex_state::reset | ( | ACE_recursive_thread_mutex_t & | m | ) | `[private]`

| Reset the <mutex> to be "unlocked".

int ACE_recursive_mutex_state::restore | ( | ACE_recursive_thread_mutex_t & | m | ) | `[private]`

| Restore the state of <mutex> to a previously saved value.

int ACE_recursive_mutex_state::save | ( | ACE_recursive_thread_mutex_t & | m | ) | `[private]`

| Save the state of <mutex>.

## Member Data Documentation

ACE_Recursive_Thread_Mutex& ACE_recursive_mutex_state::mutex_`[private]`

int ACE_recursive_mutex_state::nesting_level_`[private]`

ACE_thread_t ACE_recursive_mutex_state::owner_id_`[private]`

The documentation for this class was generated from the following files:

- Synch.h
- Synch.cpp